WEB開発備忘録

コマンドラインでwordpressをアップグレードする / wp-cli

PHP56→PHP71とアップグレードすると、Wordpressでエラーが発生。
最新版のWordpressにアップグレードして解決しました。

PHP71にアップグレードした際には、Wordpressはエラーが出てしまって管理画面にログインできない状態。
そこでWordpressをコマンドラインから管理する「wp-cli」をインストールし、Worepressのコアをアップグレードしてみました。

wp-cliのインストール

# ダウンロードして
[prompt] # curl -O https://raw.githubusercontent.com/wp-cli/builds/gh-pages/phar/wp-cli.phar
[prompt] # php wp-cli.phar --info --allow-root

実行権限を付けリネーム
[prompt] # chmod +x wp-cli.phar
[prompt] # mv wp-cli.phar /usr/local/bin/wp

「wp」コマンドとして使えるようになりました
[prompt] # wp cli version

wp-cliでWordpressをアップグレード

# WordPressをインストールしたディレクトリに移動してアップグレードを実行します。
[prompt] # cd /var/www/html
[prompt] # wp core upgrade --allow-root

無事、Wordpresssがアップグレードされました。